<template>
  <div id="app" class="text-center h-100">
    <!-- {{getLoadingState}} -->
    <JqxLoader ref="jqxLoader" :imagePosition="'top'" :width="100" :height="60"></JqxLoader>

    <div class="card h-100 border-0">
      <!-- header -->
      <div class="card-header p-0">
        <topFrame class=""/>
      </div>
      <!-- header -->

      <!-- body -->
      <div class="card-body h-100 p-0 overflow-auto">
        <div class="d-flex h-100">
          
          <!-- left -->
          <div class="h-100">
            <leftFrame class="h-100"/>
          </div>
          <!-- left -->

          <!-- work -->
          <div class="h-100 w-100">
            <workFrame class="h-100 w-100"/>
          </div>

          
          <!-- work -->

        </div>
      </div>
      <!-- body -->
    </div>
  </div>
</template>

<script>
import JqxLoader from "jqwidgets-scripts/jqwidgets-vue/vue_jqxloader.vue";


import topFrame from '@/frame/topFrame.vue'
import workFrame from '@/frame/workFrame.vue'
import leftFrame from '@/frame/leftFrame.vue'

export default {
  components:{
    topFrame,
    workFrame,
    leftFrame,
    JqxLoader
  },

  computed:{
    getLoadingState(){
      return this.$store.getters.getLoadingState
    }
  },

  watch:{
    getLoadingState(val){
      if(val === 'open') {
        this.$refs.jqxLoader.open();
      }
      else if(val === 'close') {
        this.$refs.jqxLoader.close();
      } 
    },

    $route(to, from) { 
      if (to.path != from.path) { 
        this.$refs.jqxLoader.open();
        setTimeout(() => {
          this.$refs.jqxLoader.close();
        },100)
      }
    },
  }
}
</script>

<style>
* {
	margin: 0px; 
	padding: 0px; 
    /* box-sizing: border-box; */
    font-size:14px;
}

html,body{
    height : 100vh;
    width : 100vw;
    /* font-family: 'Noto Sans KR', sans-serif; */
}

#app{
    font-family: 'Noto Sans KR', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
</style>
